## python-glance-store 4.6.1

=== debian/changelog ===
python-glance-store (4.6.1-0ubuntu1.1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 13 Feb 2024 07:11:19 +0000

python-glance-store (4.6.1-0ubuntu1.1) mantic-security; urgency=medium

  * SECURITY UPDATE: access_key logged in DEBUG log level
    - debian/patches/CVE-2024-1141-1.patch: do not show access_key in
      glance_store/_drivers/s3.py.
    - debian/patches/CVE-2024-1141-2.patch: fix more access_key logging in
      glance_store/_drivers/s3.py.
    - CVE-2024-1141

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 08 Feb 2024 13:49:15 -0500

python-glance-store (4.6.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:23:41 -0400

python-glance-store (4.6.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:52:38 -0400

python-glance-store (4.5.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * .launchpad.yaml: Add netloc to no_proxy to fix failing test.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/CVE-2023-2088.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:54:08 -0400

python-glance-store (4.3.0-0ubuntu4) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088.patch: Add force to os-brick
      disconnect.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 14:53:17 -0400

python-glance-store (4.3.0-0ubuntu3) mantic; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 11:09:59 -0400

python-glance-store (4.3.0-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Add force to os-brick
      disconnect.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 May 2023 13:12:36 +0200

python-glance-store (4.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:13:26 -0500

python-glance-store (4.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:23:57 -0500

python-glance-store (4.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:51:07 -0400

python-glance-store (4.0.1-0ubuntu2) kinetic; urgency=medium

  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:57:08 -0400

python-glance-store (4.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:27:31 -0400

python-glance-store (4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control, d/rules: Switch to debhelper compat 13 and switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 13:59:45 -0400

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-boto (>= 2.32.1),
 python3-boto3 (>= 1.9.199),
 python3-cinderclient (>= 1:4.1.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.4.4),
 python3-debtcollector,
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gridfs,
 python3-hacking,
 python3-httplib2 (>= 0.9.1),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-brick (>= 2.6.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 3.6.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymongo,
 python3-reno,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-retrying (>= 1.3.3),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-glanceclient
Homepage: https://opendev.org/openstack/glance_store
Testsuite: autopkgtest-pkg-python

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 python3-cinderclient (>= 1:3.3.0),
 python3-ddt (>= 1.4.4),
 python3-debtcollector,
 python3-eventlet (>= 0.18.2),
 python3-httplib2,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-os-brick (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 3.6.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.3.3),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Replaces:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

## python-glance-store 4.6.2

=== debian/changelog ===
python-glance-store (4.6.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed CVE-2024-1141_Do_not_show_access_key_in_s3_driver.patch applied
    upstream.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:20:05 +0000

python-glance-store (4.6.1-4) UNRELEASED; urgency=medium

  * CVE-2024-1141: Glance Store access key logged in DEBUG log level. Add
    upstream patch: Do not show access_key in s3 driver (Closes: #1063795).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 May 2024 09:16:02 +0200

python-glance-store (4.6.1-3) unstable; urgency=medium

  * autopkgtest: blacklist TestConnectorBase.test_factory_3 that is failing on
    ppc64el and s390x.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2023 16:20:36 +0100

python-glance-store (4.6.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:38:57 +0200

python-glance-store (4.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 10:47:22 +0200

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-boto,
 python3-boto3,
 python3-cinderclient,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-gridfs,
 python3-hacking,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-openstackdocstheme,
 python3-os-brick,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pymongo,
 python3-requests,
 python3-requests-mock,
 python3-retrying,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-glance-store
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python3-cinderclient,
 python3-eventlet,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-os-brick,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

## python-glance-store 4.7.0

=== requirements.txt ===
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT

jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-glance-store (4.7.0-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 13:51:27 +0000

python-glance-store (4.6.1-0ubuntu2) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * d/control: Drop BD on python3-boto (LP: #2052437).
  * d/rules: remove duplicated configuration files from /usr/etc.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Feb 2024 10:06:37 +0000

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/glance_store.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-glance-store/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-glance-store/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source debian/python-glance-store-doc/usr/share/doc/python-glance-store-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-glance-store 4.7.1

=== debian/changelog ===
python-glance-store (4.7.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Wed, 05 Nov 2025 07:25:49 +0000

python-glance-store (4.7.0-4) unstable; urgency=medium

  * Remove build-depends on python3-boto (Closes: #1069646).

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Apr 2024 14:12:33 +0200

python-glance-store (4.7.0-3) unstable; urgency=medium

  * Remove extraneous dependency on python3-six (Closes: #1068970).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 13:50:10 +0200

python-glance-store (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:09:35 +0200

python-glance-store (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Feb 2024 10:16:29 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,23 +8,28 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf doc/source/reference/api
 
 override_dh_auto_build:
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
-	rm -rf $(CURDIR)/debian/python3-glance-store/usr/etc
-
+	for i in $(PYTHON3S) ; do \
+		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
+	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/python3-glance-store/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
 endif
+	mkdir -p $(CURDIR)/debian/glance-store-common/etc/glance
+	mv $(CURDIR)/debian/tmp/usr/etc/glance/* $(CURDIR)/debian/glance-store-common/etc/glance
+	rmdir $(CURDIR)/debian/tmp/usr/etc/glance
+	rmdir $(CURDIR)/debian/tmp/usr/etc
 
 override_dh_auto_test:
 	echo "Do nothing..."

## python-glance-store 4.8.1

=== debian/changelog ===
python-glance-store (4.8.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090506).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:44:21 +0100

python-glance-store (4.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:03:00 +0200

python-glance-store (4.8.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 10:34:40 +0200

## python-glance-store 4.8.2

=== debian/changelog ===
python-glance-store (4.8.2-1~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 11 Mar 2025 16:17:19 +0000

python-glance-store (4.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Mar 2025 17:14:37 +0100

## python-glance-store 4.9.0

=== debian/changelog ===
python-glance-store (4.9.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 14:41:42 +0000

python-glance-store (4.8.1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 10:20:18 +0100

python-glance-store (4.8.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:16:02 +0100

## python-glance-store 4.9.1

=== debian/changelog ===
python-glance-store (4.9.1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Feb 2025 14:18:24 +0000

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-boto3 (>= 1.9.199),
 python3-cinderclient (>= 1:4.1.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.4.4),
 python3-debtcollector,
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gridfs,
 python3-hacking,
 python3-httplib2 (>= 0.9.1),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-brick (>= 2.6.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 3.6.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymongo,
 python3-reno,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-retrying (>= 1.3.3),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-glanceclient
Homepage: https://opendev.org/openstack/glance_store
Testsuite: autopkgtest-pkg-python

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 python3-cinderclient (>= 1:3.3.0),
 python3-ddt (>= 1.4.4),
 python3-debtcollector,
 python3-eventlet (>= 0.18.2),
 python3-httplib2,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-os-brick (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.vmware (>= 3.6.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.3.3),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Replaces:
 glance-store-common (<< 0.28.0-0ubuntu3~),
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

## python-glance-store 5.0.0

=== debian/changelog ===
python-glance-store (5.0.0-0ubuntu2) questing; urgency=medium

  * d/glance_sudoers: Drop override causing compatibility issues with
    sudo-rs. (LP: #2120708)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 12:21:03 +0200

python-glance-store (5.0.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 09:39:49 -0700

## python-glance-store 5.2.0

=== debian/changelog ===
python-glance-store (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:14:31 +0200

python-glance-store (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:59:13 +0200

python-glance-store (4.9.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:30:42 +0100

python-glance-store (4.9.1-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 11:19:30 +0100

=== debian/control ===
Source: python-glance-store
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-boto3,
 python3-cinderclient,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-gridfs,
 python3-hacking,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-openstackdocstheme,
 python3-os-brick,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pymongo,
 python3-requests,
 python3-requests-mock,
 python3-retrying,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-glance-store
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-glance-store.git
Homepage: https://github.com/openstack/glance_store

Package: glance-store-common
Architecture: all
Depends:
 ${misc:Depends},
Description: OpenStack Image Service store library - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains shared configuration files for the Glance's stores.

Package: python-glance-store-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Service store library - doc
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance-store
Architecture: all
Depends:
 glance-store-common (= ${binary:Version}),
 python3-cinderclient,
 python3-eventlet,
 python3-httplib2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-os-brick,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.privsep,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 python3-swiftclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Service store library - Python 3.x
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3.x module for the Glance's stores.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/glance_store refs/tags/(\d[brc\d\.]+)

## python-glance-store 5.4.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
@@ -10,3 +14,5 @@
 keystoneauth1>=3.4.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
+retrying!=1.3.0,>=1.2.3 # Apache-2.0
+futurist>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-glance-store (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed use-skipTest-not-just-skip.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 13:56:38 +0100

python-glance-store (5.2.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048440).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:51:36 +0100

python-glance-store (5.2.0-3) unstable; urgency=medium

  * Add use-skipTest-not-just-skip.patch (Closes: #1124198).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Dec 2025 11:36:07 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-coverage,
  python3-eventlet,
  python3-fixtures,
+ python3-futurist,
  python3-gridfs,
  python3-hacking,
  python3-httplib2,
@@ -87,6 +88,7 @@
  glance-store-common (= ${binary:Version}),
  python3-cinderclient,
  python3-eventlet,
+ python3-futurist,
  python3-httplib2,
  python3-jsonschema,
  python3-keystoneauth1,
@@ -102,6 +104,7 @@
  python3-oslo.vmware,
  python3-pbr,
  python3-requests,
+ python3-retrying,
  python3-stevedore,
  python3-swiftclient,
  ${misc:Depends},
